Package net.shibboleth.idp.session.context

# Class SessionContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.session.context.SessionContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SessionContext extends BaseContext
A `BaseContext` that holds an `IdPSession`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private IdPSession`
`session`
IdP session wrapped by this adapter.

## Constructor Summary

Constructors
Constructor
Description
`SessionContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`IdPSession`
`getIdPSession()`
Get the IdP session.
`void`
`setIdPSession(IdPSession theSession)`
Set the IdP session.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### session

@Nullable private IdPSession session
IdP session wrapped by this adapter.

## Constructor Details

### SessionContext

public SessionContext()
Constructor.

## Method Details

### getIdPSession

@Nullable public IdPSession getIdPSession()
Get the IdP session.

Returns:
  the IdP session

### setIdPSession

public void setIdPSession(@Nullable IdPSession theSession)
Set the IdP session.

Parameters:
  `theSession` - the IdP session